org.apache.calcite.avatica.proto

## Class Requests.ConnectionSyncRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.ConnectionSyncRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.ConnectionSyncRequestOrBuilder

Enclosing class:
  Requests.ConnectionSyncRequest

    public static final class Requests.ConnectionSyncRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>
    implements Requests.ConnectionSyncRequestOrBuilder

Protobuf type `ConnectionSyncRequest`

### Field Summary

Fields
`private Object` `connectionId_`
`private Common.ConnectionProperties` `connProps_`
`private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,Common.ConnectionProperties.Builder,Common.ConnectionPropertiesOrBuilder>` `connPropsBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.ConnectionSyncRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.ConnectionSyncRequest` `build()`
`Requests.ConnectionSyncRequest` `buildPartial()`
`Requests.ConnectionSyncRequest.Builder` `clear()`
`Requests.ConnectionSyncRequest.Builder` `clearConnectionId()` `string connection_id = 1;`
`Requests.ConnectionSyncRequest.Builder` `clearConnProps()` `.ConnectionProperties conn_props = 2;`
`Requests.ConnectionSyncRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.ConnectionSyncRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.ConnectionSyncRequest.Builder` `clone()`
`String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Common.ConnectionProperties` `getConnProps()` `.ConnectionProperties conn_props = 2;`
`Common.ConnectionProperties.Builder` `getConnPropsBuilder()` `.ConnectionProperties conn_props = 2;`
`private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,Common.ConnectionProperties.Builder,Common.ConnectionPropertiesOrBuilder>` `getConnPropsFieldBuilder()` `.ConnectionProperties conn_props = 2;`
`Common.ConnectionPropertiesOrBuilder` `getConnPropsOrBuilder()` `.ConnectionProperties conn_props = 2;`
`Requests.ConnectionSyncRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `hasConnProps()` `.ConnectionProperties conn_props = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.ConnectionSyncRequest.Builder` `mergeConnProps(Common.ConnectionProperties value)` `.ConnectionProperties conn_props = 2;`
`Requests.ConnectionSyncRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.ConnectionSyncRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.ConnectionSyncRequest.Builder` `mergeFrom(Requests.ConnectionSyncRequest other)`
`Requests.ConnectionSyncRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.ConnectionSyncRequest.Builder` `setConnectionId(String value)` `string connection_id = 1;`
`Requests.ConnectionSyncRequest.Builder` `setConnectionIdBytes(com.google.protobuf.ByteString value)` `string connection_id = 1;`
`Requests.ConnectionSyncRequest.Builder` `setConnProps(Common.ConnectionProperties.Builder builderForValue)` `.ConnectionProperties conn_props = 2;`
`Requests.ConnectionSyncRequest.Builder` `setConnProps(Common.ConnectionProperties value)` `.ConnectionProperties conn_props = 2;`
`Requests.ConnectionSyncRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.ConnectionSyncRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.ConnectionSyncRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### connectionId_

    private Object connectionId_

#### connProps_

    private Common.ConnectionProperties connProps_

#### connPropsBuilder_

    private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,Common.ConnectionProperties.Builder,Common.ConnectionPropertiesOrBuilder> connPropsBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.ConnectionSyncRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.ConnectionSyncRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.ConnectionSyncRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.ConnectionSyncRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.ConnectionSyncRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### setField

    public Requests.ConnectionSyncRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### clearField

    public Requests.ConnectionSyncRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### clearOneof

    public Requests.ConnectionSyncRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### setRepeatedField

    public Requests.ConnectionSyncRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   int index,
                                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### addRepeatedField

    public Requests.ConnectionSyncRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### mergeFrom

    public Requests.ConnectionSyncRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.ConnectionSyncRequest.Builder>`

#### mergeFrom

    public Requests.ConnectionSyncRequest.Builder mergeFrom(Requests.ConnectionSyncRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### mergeFrom

    public Requests.ConnectionSyncRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.ConnectionSyncRequest.Builder>`
Throws:
  `IOException`

#### getConnectionId

    public String getConnectionId()

`string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Requests.ConnectionSyncRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.ConnectionSyncRequestOrBuilder`

#### setConnectionId

    public Requests.ConnectionSyncRequest.Builder setConnectionId(String value)

`string connection_id = 1;`

#### clearConnectionId

    public Requests.ConnectionSyncRequest.Builder clearConnectionId()

`string connection_id = 1;`

#### setConnectionIdBytes

    public Requests.ConnectionSyncRequest.Builder setConnectionIdBytes(com.google.protobuf.ByteString value)

`string connection_id = 1;`

#### hasConnProps

    public boolean hasConnProps()

`.ConnectionProperties conn_props = 2;`

Specified by:
  `hasConnProps` in interface `Requests.ConnectionSyncRequestOrBuilder`

#### getConnProps

    public Common.ConnectionProperties getConnProps()

`.ConnectionProperties conn_props = 2;`

Specified by:
  `getConnProps` in interface `Requests.ConnectionSyncRequestOrBuilder`

#### setConnProps

    public Requests.ConnectionSyncRequest.Builder setConnProps(Common.ConnectionProperties value)

`.ConnectionProperties conn_props = 2;`

#### setConnProps

    public Requests.ConnectionSyncRequest.Builder setConnProps(Common.ConnectionProperties.Builder builderForValue)

`.ConnectionProperties conn_props = 2;`

#### mergeConnProps

    public Requests.ConnectionSyncRequest.Builder mergeConnProps(Common.ConnectionProperties value)

`.ConnectionProperties conn_props = 2;`

#### clearConnProps

    public Requests.ConnectionSyncRequest.Builder clearConnProps()

`.ConnectionProperties conn_props = 2;`

#### getConnPropsBuilder

    public Common.ConnectionProperties.Builder getConnPropsBuilder()

`.ConnectionProperties conn_props = 2;`

#### getConnPropsOrBuilder

    public Common.ConnectionPropertiesOrBuilder getConnPropsOrBuilder()

`.ConnectionProperties conn_props = 2;`

Specified by:
  `getConnPropsOrBuilder` in interface `Requests.ConnectionSyncRequestOrBuilder`

#### getConnPropsFieldBuilder

    private com.google.protobuf.SingleFieldBuilderV3<Common.ConnectionProperties,Common.ConnectionProperties.Builder,Common.ConnectionPropertiesOrBuilder> getConnPropsFieldBuilder()

`.ConnectionProperties conn_props = 2;`

#### setUnknownFields

    public final Requests.ConnectionSyncRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`

#### mergeUnknownFields

    public final Requests.ConnectionSyncRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.ConnectionSyncRequest.Builder>`